include:
- remote: https://gitlab.com/napista/shared/cicd_template/-/raw/main/cicd_company.yml
- remote: https://gitlab.com/napista/shared/cicd_template/-/raw/main/cicd_rules.yml



variables:
  S3BUKET_DEPLOY_SIMPLIFICAUTO_DEV: deploysimplificauto
  S3BUKET_DEPLOY_SIMPLIFICAUTO_PROD: deploysimplificautoprod
  S3BUKET_DEPLOY_SIMPLIFICAUTO_COMERCIAL: deploysimplificautocomercial
  S3BUKET_DEPLOY_SIMPLIFICAUTO_HOMOLOG: deploysimplificautohomolog
  S3BUKET_DEPLOY_SIMPLIFICAUTO_LABS: deploysimplificautolabs

  S3BUKET_DEPLOY_AVONALE_DEV: deployavonaledev
  S3BUKET_DEPLOY_AVONALE_PROD: deployavonaleprod
  S3BUKET_DEPLOY_AVONALE_COMERCIAL: deployavonalecomercial
  S3BUKET_DEPLOY_AVONALE_HOMOLOG: deployavonalehomolog

  REGION_DEV: us-east-1
  REGION_HOMOLOG: us-west-2
  REGION_PROD: us-east-2
  REGION_COMERCIAL: us-west-1

  SECURITY_GROUP_ID_DEV: sg-0e82d889f149bdd14
  SECURITY_GROUP_ID_HOMOLOG: sg-0583a974517d91e23
  SECURITY_GROUP_ID_PROD: sg-0f85cb7bbc2de3d40
  SECURITY_GROUP_ID_COMERCIAL: sg-0e5794ae8b2f13124

  SUBNET_IDS_DEV: subnet-05d0ca11b2cffc8af,subnet-04ec9fb031492dd9d
  SUBNET_IDS_HOMOLOG: subnet-097b9f68f573a20c6,subnet-0204f15e7085dd951
  SUBNET_IDS_PROD: subnet-0f63fd9d6fdebae55,subnet-0e696796d48fec6de
  SUBNET_IDS_COMERCIAL: subnet-066ad99bd8847e468,subnet-038f5fdaf79fee04c

.deploy_database_simplificauto_dev:
  stage: deploy-bd
  extends: .deploy_database_simplificauto
  variables:
    ENVIRONMENT: develop
  rules:
  - if: $CI_COMMIT_BRANCH =~ /^([dD]evelop).*$/

.deploy_database_simplificauto_homolog:
  stage: deploy-bd
  extends: .deploy_database_simplificauto
  variables:
    ENVIRONMENT: homolog
  rules:
  - if: $AMBIENTE =~ /^([hH]omolog)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag|[rR]elease).*$/

.deploy_database_simplificauto_comercial:
  stage: deploy-bd
  extends: .deploy_database_simplificauto
  variables:
    ENVIRONMENT: comercial
  rules:
  - if: $AMBIENTE =~ /^([cC]omercial)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain).*$/

.deploy_database_simplificauto_prod:
  stage: deploy-bd
  extends: .deploy_database_simplificauto
  variables:
    ENVIRONMENT: prod
  rules:
  - if: $AMBIENTE =~ /^(prod)$/  && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag).*$/

.deploy_service_simplificauto_dev:
  stage: deploy-service
  extends: .deploy_service_simplificauto
  variables:
    ENVIRONMENT: develop
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_DEV
    REGION: $REGION_DEV
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_DEV
    SUBNET_IDS: $SUBNET_IDS_DEV
  rules:
  - if: $CI_COMMIT_BRANCH =~ /^([dD]evelop).*$/

.deploy_service_simplificauto_homolog:
  stage: deploy-service
  extends: .deploy_service_simplificauto
  variables:
    ENVIRONMENT: homolog
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_HOMOLOG
    REGION: $REGION_HOMOLOG
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_HOMOLOG
    SUBNET_IDS: $SUBNET_IDS_HOMOLOG
  rules:
  - if: $AMBIENTE =~ /^([hH]omolog)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag|[rR]elease).*$/

.deploy_service_simplificauto_comercial:
  stage: deploy-service
  extends: .deploy_service_simplificauto
  variables:
    ENVIRONMENT: comercial
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_COMERCIAL
    REGION: $REGION_COMERCIAL
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_COMERCIAL
    SUBNET_IDS: $SUBNET_IDS_COMERCIAL
  rules:
  - if: $AMBIENTE =~ /^([cC]omercial)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain).*$/

.deploy_service_simplificauto_prod:
  stage: deploy-service
  extends: .deploy_service_simplificauto
  variables:
    ENVIRONMENT: prod
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_PROD
    REGION: $REGION_PROD
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_PROD
    SUBNET_IDS: $SUBNET_IDS_PROD
  rules:
  - if: $AMBIENTE =~ /^(prod)$/  && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag).*$/

.deploy_service_simplificauto_dev_node:
  stage: deploy-service
  extends: .deploy_service_simplificauto_node
  variables:
    ENVIRONMENT: develop
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_DEV
    REGION: $REGION_DEV
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_DEV
    SUBNET_IDS: $SUBNET_IDS_DEV
  rules:
  - if: $CI_COMMIT_BRANCH =~ /^([dD]evelop).*$/

.deploy_service_simplificauto_homolog_node:
  stage: deploy-service
  extends: .deploy_service_simplificauto_node
  variables:
    ENVIRONMENT: homolog
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_HOMOLOG
    REGION: $REGION_HOMOLOG
    SECURITY_GROUP_ID: $SECURITY_GROUP_ID_HOMOLOG
    SUBNET_IDS: $SUBNET_IDS_HOMOLOG
  rules:
  - if: $AMBIENTE =~ /^([hH]omolog)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag|[rR]elease).*$/

.deploy_service_simplificauto_comercial_node:
  stage: deploy-service
  extends: .deploy_service_simplificauto_node
  variables:
    ENVIRONMENT: comercial
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_COMERCIAL
    REGION: $REGION_COMERCIAL
  rules:
  - if: $AMBIENTE =~ /^([cC]omercial)$/ && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain).*$/

.deploy_service_simplificauto_prod_node:
  stage: deploy-service
  extends: .deploy_service_simplificauto_node
  variables:
    ENVIRONMENT: prod
    S3BUKET_DEPLOY: $S3BUKET_DEPLOY_SIMPLIFICAUTO_PROD
    REGION: $REGION_PROD
  rules:
  - if: $AMBIENTE =~ /^(prod)$/  && $CI_COMMIT_BRANCH =~ /^([mM]aster|[mM]ain|[tT]ag).*$/
